From d0c9cc6d015fcc010e2485ae2179108d30c5d7df Mon Sep 17 00:00:00 2001
From: "Robert A. Burks" <rburksdev@gmail.com>
Date: Wed, 13 Mar 2024 18:29:33 -0400
Subject: [PATCH 08/31] ; * src/eval.c (do_specbind): Avoid using enumeration
 as boolean

---
 src/eval.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/src/eval.c b/src/eval.c
index 1d250b995e9..5497cc6031e 100644
--- a/src/eval.c
+++ b/src/eval.c
@@ -3435,7 +3435,7 @@ do_specbind (struct Lisp_Symbol *sym, union specbinding *bind,
   switch (sym->u.s.redirect)
     {
     case SYMBOL_PLAINVAL:
-      if (!sym->u.s.trapped_write)
+      if (sym->u.s.trapped_write == SYMBOL_UNTRAPPED_WRITE)
 	SET_SYMBOL_VAL (sym, value);
       else
         set_internal (specpdl_symbol (bind), value, Qnil, bindflag);
-- 
2.34.1

